---
title: "Retrieves flights for a specific date"
url: "https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24/operations/getFlights"
---

> Full API specification: https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24.md

# Retrieves flights for a specific date

`GET` `/flights`

Operation ID: `getFlights`

Retrieves flights for a specific date. If scheduleDate is provided as query parameter, it will retrieve flights for that date. If not provided it is defaulted to today. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:<br/>Link: &lt;protocol://server_address:port/public-flights/resource&gt; ; rel="first", <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt; rel="last", <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt; rel="next", <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt; rel="prev"<br/><br/>

## Query parameters

- `scheduleDate` (string, date, optional) - Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to today if not provided
- `scheduledate` (string, date, optional) - See: scheduleDate. Prefer scheduleDate. If both scheduleDate and scheduledate are used scheduleDate takes precedence
- `scheduleTime` (string, hour-minute, optional) - Scheduled time to get flights from. Format: HH:mm
- `flightName` (string, optional) - Flight number as printed on the ticket
- `flightname` (string, optional) - See: flightName. Prefer flightName. If both flightName and flightname are used flightName takes precedence
- `flightDirection` (string, optional) - Direction of the flight
- `flightdirection` (string, optional) - See: flightDirection. Prefer using flightDirection. If both flightDirection and flightdirection are used flightDirection takes precedence
- `airline` (string, optional) - Prefix in flight number as printed on the ticket. For exmaple: KL. This can either be a 2-character (IATA) airline prefix or 3-character (ICAO) airline prefix. Only one airline (or airlineCode) can be queried at the same time.
- `airlineCode` (integer, int32, optional) - NVLS code of an airliner.
- `route` (string, optional) - IATA or ICAO code of airport in route; multiple values, comma separated
- `includedelays` (boolean, optional) - Include flights of earlier an scheduleDate when these have enough delay to shift to the date that is queried upon.
- `includeDelays` (boolean, optional) - See: includedelays. Prefer includedelays. If both includeDelays and includeDelays are used, includedelays take precedence.
- `page` (integer, int32, optional) - Page number
- `sort` (string, optional) - Specifies which field to use for sorting. Allowed values are flightName, scheduleDate, scheduleTime, flightDirection, mainFlight, airlineCode, id, and all fields from the searchDateTimeField parameter. Use plus or minus sign to indicate ascending or descending order. Multiple fields are allowed and should be separated by a comma. For example "-scheduleDate, +scheduleTime".
- `fromDateTime` (string, local-date-time, optional) - From date of search period. Format: yyyy-MM-dd'T'HH:mm:ss
- `toDateTime` (string, local-date-time, optional) - To date of search period (inclusive). Format: yyyy-MM-dd'T'HH:mm:ss
- `searchDateTimeField` (string, optional) - Query by a specific DateTime field. Allowed fields are estimatedLandingTime, actualLandingTime, publicEstimatedOffBlockTime, actualOffBlockTime, expectedTimeBoarding, expectedTimeGateClosing, expectedTimeGateOpen, expectedTimeOnBelt, scheduleDateTime, lastUpdatedAt
- `fromScheduleDate` (string, date, optional) - Query by ScheduleDate range.
- `toScheduleDate` (string, date, optional) - Query by ScheduleDate range
- `isOperationalFlight` (boolean, optional) - Query based on operational/non-operational flights.true for operational and false for non-operational flights

## Header parameters

- `Accept` (string, required) - Only 'application/json' is allowed

## Responses

- `200` - OK
- `204` - No content
- `400` - Bad request

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Schiphol Public Flight API
  version: 4.2.0
servers:
  - url: https://{environment}.schiphol.nl/public/public-flights/v4
    variables:
      environment:
        enum:
          - api
          - api-acc
        default: api
paths:
  /flights:
    get:
      summary: Retrieves flights for a specific date
      description: 'Retrieves flights for a specific date. If scheduleDate is provided
        as query parameter, it will retrieve flights for that date. If not
        provided it is defaulted to today. If there are more hits then allowed
        on one page response headers will contain the URLs where other pages of
        the results can be reached.For example:<br/>Link:
        &lt;protocol://server_address:port/public-flights/resource&gt; ;
        rel="first",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt;
        rel="last",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt;
        rel="next",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt;
        rel="prev"<br/><br/>'
      operationId: getFlights
      parameters:
        - $ref: "#/components/parameters/AcceptHeader"
        - name: scheduleDate
          in: query
          description: "Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to
            today if not provided"
          schema:
            type: string
            format: date
        - name: scheduledate
          in: query
          description: "See: scheduleDate. Prefer scheduleDate. If both scheduleDate and
            scheduledate are used scheduleDate takes precedence"
          schema:
            type: string
            format: date
        - name: scheduleTime
          in: query
          description: "Scheduled time to get flights from. Format: HH:mm"
          schema:
            type: string
            format: hour-minute
        - name: flightName
          in: query
          description: Flight number as printed on the ticket
          schema:
            maxLength: 8
            minLength: 5
            type: string
        - name: flightname
          in: query
          description: "See: flightName. Prefer flightName. If both flightName and
            flightname are used flightName takes precedence"
          schema:
            maxLength: 8
            minLength: 5
            type: string
        - name: flightDirection
          in: query
          description: Direction of the flight
          schema:
            type: string
            enum:
              - A
              - D
        - name: flightdirection
          in: query
          description: "See: flightDirection. Prefer using flightDirection. If both
            flightDirection and flightdirection are used flightDirection takes
            precedence"
          schema:
            type: string
            enum:
              - A
              - D
        - name: airline
          in: query
          description: "Prefix in flight number as printed on the ticket. For exmaple: KL.
            This can either be a 2-character (IATA) airline prefix or
            3-character (ICAO) airline prefix. Only one airline (or airlineCode)
            can be queried at the same time. "
          schema:
            maxLength: 3
            minLength: 2
            type: string
        - name: airlineCode
          in: query
          description: NVLS code of an airliner.
          schema:
            type: integer
            format: int32
        - name: route
          in: query
          description: IATA or ICAO code of airport in route; multiple values, comma
            separated
          schema:
            minLength: 1
            type: string
        - name: includedelays
          in: query
          description: Include flights of earlier an scheduleDate when these have enough
            delay to shift to the date that is queried upon.
          schema:
            type: boolean
            default: false
        - name: includeDelays
          in: query
          description: "See: includedelays. Prefer includedelays. If both includeDelays
            and includeDelays are used, includedelays take precedence."
          schema:
            type: boolean
            default: false
        - name: page
          in: query
          description: Page number
          schema:
            maximum: 499
            minimum: 0
            type: integer
            format: int32
            default: 0
        - name: sort
          in: query
          description: Specifies which field to use for sorting. Allowed values are
            flightName, scheduleDate, scheduleTime, flightDirection, mainFlight,
            airlineCode, id, and all fields from the searchDateTimeField
            parameter. Use plus or minus sign to indicate ascending or
            descending order. Multiple fields are allowed and should be
            separated by a comma. For example "-scheduleDate, +scheduleTime".
          schema:
            pattern: ^((\+|-|
              )?(flightName|scheduleDate|scheduleTime|flightDirection|mainFlight|airlineCode|id|estimatedLandingTime|actualLandingTime|publicEstimatedOffBlockTime|actualOffBlockTime|expectedTimeBoarding|expectedTimeGateClosing|expectedTimeGateOpen|expectedTimeOnBelt|scheduleDateTime|lastUpdatedAt)(,|$))+$
            type: string
            default: +scheduleTime
        - name: fromDateTime
          in: query
          description: "From date of search period. Format: yyyy-MM-dd'T'HH:mm:ss"
          schema:
            type: string
            format: local-date-time
        - name: toDateTime
          in: query
          description: "To date of search period (inclusive). Format: yyyy-MM-dd'T'HH:mm:ss"
          schema:
            type: string
            format: local-date-time
        - name: searchDateTimeField
          in: query
          description: Query by a specific DateTime field. Allowed fields are
            estimatedLandingTime, actualLandingTime,
            publicEstimatedOffBlockTime, actualOffBlockTime,
            expectedTimeBoarding, expectedTimeGateClosing, expectedTimeGateOpen,
            expectedTimeOnBelt, scheduleDateTime, lastUpdatedAt
          schema:
            type: string
            enum:
              - estimatedLandingTime
              - actualLandingTime
              - publicEstimatedOffBlockTime
              - actualOffBlockTime
              - expectedTimeBoarding
              - expectedTimeGateClosing
              - expectedTimeGateOpen
              - expectedTimeOnBelt
              - scheduleDateTime
              - lastUpdatedAt
        - name: fromScheduleDate
          in: query
          description: Query by ScheduleDate range.
          schema:
            type: string
            format: date
        - name: toScheduleDate
          in: query
          description: Query by ScheduleDate range
          schema:
            type: string
            format: date
        - name: isOperationalFlight
          in: query
          description: Query based on operational/non-operational flights.true for
            operational and false for non-operational flights
          schema:
            type: boolean
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/FlightList"
        "204":
          description: No content
          content: {}
        "400":
          description: Bad request
          content: {}
security:
  - bearerAuth: []
components:
  parameters:
    AcceptHeader:
      name: Accept
      in: header
      description: Only 'application/json' is allowed
      required: true
      style: simple
      schema:
        type: string
        example: application/json
  schemas:
    FlightList:
      type: object
      properties:
        flights:
          type: array
          items:
            $ref: "#/components/schemas/Flight"
    Flight:
      type: object
      properties:
        lastUpdatedAt:
          type: string
          format: date-time
        actualLandingTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        actualOffBlockTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        aircraftRegistration:
          type: string
        aircraftType:
          $ref: "#/components/schemas/AircraftTypeType"
        baggageClaim:
          $ref: "#/components/schemas/BaggageClaimType"
        checkinAllocations:
          $ref: "#/components/schemas/CheckinAllocationsType"
        codeshares:
          $ref: "#/components/schemas/CodesharesType"
        estimatedLandingTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeBoarding:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeGateClosing:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeGateOpen:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedTimeOnBelt:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        expectedSecurityFilter:
          type: string
          description: expected security filter
        flightDirection:
          type: string
          enum:
            - A
            - D
        flightName:
          type: string
        flightNumber:
          type: integer
          format: int64
        gate:
          type: string
        pier:
          type: string
        id:
          type: string
        isOperationalFlight:
          type: boolean
        mainFlight:
          type: string
        prefixIATA:
          type: string
        prefixICAO:
          type: string
        airlineCode:
          type: integer
          format: int64
        publicEstimatedOffBlockTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        publicFlightState:
          $ref: "#/components/schemas/PublicFlightStateType"
        route:
          $ref: "#/components/schemas/RouteType"
        scheduleDateTime:
          type: string
          description: yyyy-MM-dd'T'HH:mm:ss.SSSZ
          format: date-time
        scheduleDate:
          type: string
          description: yyyy-MM-dd
          format: date
        scheduleTime:
          type: string
          description: hh:mm:ss
        serviceType:
          type: string
          description: "The service type category of the commercial flight. For example: J
            = Passenger Line, C=Passenger Charter, F = Freight Line and H =
            Freight Charter etc."
        terminal:
          type: integer
          format: int64
        transferPositions:
          $ref: "#/components/schemas/TransferPositionsType"
        schemaVersion:
          type: string
    AircraftTypeType:
      type: object
      properties:
        iataMain:
          type: string
        iataSub:
          type: string
    BaggageClaimType:
      type: object
      properties:
        belts:
          type: array
          items:
            type: string
    CheckinAllocationsType:
      type: object
      properties:
        checkinAllocations:
          type: array
          items:
            $ref: "#/components/schemas/CheckinAllocationType"
        remarks:
          $ref: "#/components/schemas/RemarksType"
    CodesharesType:
      type: object
      properties:
        codeshares:
          type: array
          items:
            type: string
    PublicFlightStateType:
      type: object
      properties:
        flightStates:
          type: array
          items:
            type: string
    RouteType:
      type: object
      properties:
        destinations:
          type: array
          items:
            type: string
        eu:
          type: string
          description: S (Schengen), E (Europe) or N (non-Europe)
        visa:
          type: boolean
          description: Indicates if a visum is required for destination
    TransferPositionsType:
      type: object
      properties:
        transferPositions:
          type: array
          items:
            type: integer
            format: int64
    CheckinAllocationType:
      type: object
      properties:
        endTime:
          type: string
          format: date-time
        rows:
          $ref: "#/components/schemas/RowsType"
        startTime:
          type: string
          format: date-time
    RemarksType:
      type: object
      properties:
        remarks:
          type: array
          items:
            type: string
    RowsType:
      type: object
      properties:
        rows:
          type: array
          items:
            $ref: "#/components/schemas/RowType"
    RowType:
      type: object
      properties:
        position:
          type: string
        desks:
          $ref: "#/components/schemas/DesksType"
    DesksType:
      type: object
      properties:
        desks:
          type: array
          items:
            $ref: "#/components/schemas/DeskType"
    DeskType:
      type: object
      properties:
        checkinClass:
          $ref: "#/components/schemas/CheckinClassType"
        position:
          type: integer
          format: int64
    CheckinClassType:
      type: object
      properties:
        code:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
